LINUX.ORG.RU

steam и libc.so.6

 ,


0

1

При заходе в стим пишет:

Running Steam on debian 8 64-bit
STEAM_RUNTIME is enabled automatically
Error: You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6
Error:
You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6

Ищу библиотеку...

# locate libc.so.6
/lib32/libc.so.6
/lib/i386-linux-gnu/i686/cmov/libc.so.6
/lib/i386-linux-gnu/libc.so.6
/libx32/libc.so.6
/lib/x86_64-linux-gnu/libc.so.6
# ln -s /lib/i386-linux-gnu/libc.so.6 /lib/libc.so.6
ln: не удалось создать символьную ссылку «/lib/libc.so.6»: Файл существует

Уже установлена самая новая версия libc6-i386.
Уже установлена самая новая версия libgl1-mesa-glx.
Уже установлена самая новая версия libgl1-nvidia-glx:i386.
# dpkg -l | grep nvidia
ii  glx-alternative-nvidia                                      0.5.1                                amd64        allows the selection of NVIDIA as GLX provider
ii  libegl1-nvidia:amd64                                        340.65-2                             amd64        NVIDIA binary EGL libraries
ii  libgl1-nvidia-glx:amd64                                     340.65-2                             amd64        NVIDIA binary OpenGL libraries
ii  libgl1-nvidia-glx:i386                                      340.65-2                             i386         NVIDIA binary OpenGL libraries
ii  libgl1-nvidia-glx-i386                                      340.65-2                             i386         NVIDIA binary OpenGL 32-bit libraries
ii  libgles1-nvidia:amd64                                       340.65-2                             amd64        NVIDIA binary OpenGL|ES 1.x libraries
ii  libgles2-nvidia:amd64                                       340.65-2                             amd64        NVIDIA binary OpenGL|ES 2.x libraries
ii  libnvidia-eglcore:amd64                                     340.65-2                             amd64        NVIDIA binary EGL core libraries
ii  libnvidia-ml1:amd64                                         340.65-2                             amd64        NVIDIA Management Library (NVML) runtime library
ii  nvidia-alternative                                          340.65-2                             amd64        allows the selection of NVIDIA as GLX provider
ii  nvidia-driver                                               340.65-2                             amd64        NVIDIA metapackage
ii  nvidia-driver-bin                                           340.65-2                             amd64        NVIDIA driver support binaries
ii  nvidia-glx                                                  340.65-2                             amd64        transition to nvidia-driver
ii  nvidia-installer-cleanup                                    20141201+1                           amd64        cleanup after driver installation with the nvidia-installer
ii  nvidia-kernel-common                                        20141201+1                           amd64        NVIDIA binary kernel module support files
ii  nvidia-kernel-dkms                                          340.65-2                             amd64        NVIDIA binary kernel module DKMS source
ii  nvidia-modprobe                                             340.46-1                             amd64        utility to load NVIDIA kernel modules and create device nodes
ii  nvidia-settings                                             340.46-2                             amd64        tool for configuring the NVIDIA graphics driver
ii  nvidia-support                                              20141201+1                           amd64        NVIDIA binary graphics driver support files
ii  nvidia-vdpau-driver:amd64                                   340.65-2                             amd64        Video Decode and Presentation API for Unix - NVIDIA driver
ii  nvidia-xconfig                                              340.46-1                             amd64        X configuration tool for non-free NVIDIA drivers
ii  xserver-xorg-video-nvidia                                   340.65-2      

Как запустить стим? Гугл не помог.


Попробуй установить пакет libgl1-nvidia-glx:i386, также попробуй 352 драйвер.

shayger ()

Cталкивался с подобной проблемой. В моём случае, причина была в наличии лишнего слеша при указании домашнего каталога пользователя т.е., в /etc/passwd должно быть:

guest:x:1001:1001::/home/guest:/bin/bash
, но никак не
... /home/guest/ ...

Описание и решение схожей проблемы

Jurik_Phys ★★★★★ ()
Последнее исправление: Jurik_Phys (всего исправлений: 1)

У вас, судя по всему, 64 битная система, плэтому нужно установить 32 битный пакет с 32 битной версией библиотеки.

kostik87 ★★★★★ ()
Ответ на: комментарий от Jurik_Phys

Мне всё также кажет окно с «Error: You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6» уже после запуска. Вальв совсем скурвилась, ещё в марте. Хотя было бы странно, будь проблема в этом.

wakuwaku ★★★★ ()
Последнее исправление: wakuwaku (всего исправлений: 1)

У меня тоже была похожая проблема, у меня при установке стима на убунте он не хотел запускаться, только никакой лог файл об этом я не нашёл, но в случайно подвернувшейся теме я нашёл кое-что об этом. Я ввёл такую команду: rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6 И проблему как рукой сняло, стим успешно запустился и загрузился.

Icevendor5K ()
Ответ на: комментарий от Icevendor5K

Ого, а вот это помогло. Спасибо тебе. Но это не важно, всё равно добрая половина игрушек поддерживает онтопик только для галочки (если не почти все).

wakuwaku ★★★★ ()
Ответ на: комментарий от Icevendor5K

Нету такого.

~/.local/share$ ls
applications  gvfs-metadata  mc  mime  recently-used.xbel  torbrowser  Trash  vlc

libgl1-nvidia-glx:i386 - Установлен.

guest:x:1001:1001::/home/guest:/bin/bash - Стоит.

isaq ()
Ответ на: комментарий от isaq

Не знаю, я в линуксе недавно, может у тебя реально проблема с драйверами nvidia, у тебя открытые драйвера, или пропиетарные? У меня если честно с открытыми драйверами такие проблемы были, игры тормозили, даже terraria тормозила. Мне вообще пришлось вручную ставить драйвер nvidia, скачал последний для моей видяхи, с официального сайта, установил, проблемы исчезли, даже тот же minecraft c этими дровами наконец-то научился нормально запускаться в полноэкранном режиме. Делал по этому мануалу: http://help.ubuntu.ru/wiki/%D0%B4%D1%80%D0%B0%D0%B9%D0%B2%D0%B5%D1%80_%D0%B2%D0%B8%D0%B4%D0%B5%D0%BE%D0%BA%D0%B0%D1%80%D1%82_nvidia

Icevendor5K ()
Ответ на: комментарий от Icevendor5K

проприетарные.

У меня проприетарные, дал же выхлоп. Вообще, я собирал 353 драйвера, но с ними было тоже самое. Потом сделал apt-get purge nvidia* и apt-get install nvidia-glx nvidia-kernel-common nvidia-kernel-dkms nvidia-settings nvidia-xconfig, тем самым установив 340.

isaq ()
Ответ на: проприетарные. от isaq

Почитал внимательнее выхлоп, у меня на linux mint mate 17.1 была тоже подобная ошибка, как и в первом выхлопе, стим при первой установке нормально запустился, запустил на второй раз, и он выдал у меня эту ошибку, только там ещё что-то он ругался на OpenGl. Я тогда с драйверами баловался, тогда я их не устанавливал вручную, а через менеджер драйверов устанавливал разные дрова. Третий раз запустил стим - всё нормально работает, ошибка ушла почти сама собой.

Icevendor5K ()

Покажи выхлоп ldd ~/.steam/bin32/steam и file /lib32/libc.so.6

Gary ★★★★★ ()
Ответ на: комментарий от Gary
Пустой.
$ ldd ~/.steam/bin32/steam
ldd: /home/isaq/.steam/bin32/steam: Нет такого файла или каталога
$ ls -a ~/.steam/bin32
.  ..

$ file /lib32/libc.so.6
/lib32/libc.so.6: symbolic link to libc-2.19.so
isaq ()
Ответ на: комментарий от isaq

Собрал 355 драйвер, сделал sh ./NVIDIA-Linux-*.run --compat32-libdir=/lib/i386-linux-gnu/, ошибка осталась. Удалил его, установил заного 340, сделал apt-get install libgl1-nvidia-glx:i386, не помогло.

Нашел решение с помощью LD_PRELOAD, не помогло.

$ LD_PRELOAD=/lib32/libc.so.6 steam
ERROR: ld.so: object '/lib32/libc.so.6' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/lib32/libc.so.6' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/lib32/libc.so.6' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
Running Steam on debian 8 64-bit
STEAM_RUNTIME is enabled automatically
Error: You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6
Error:
You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6

Добавлял в /etc/ld.so.conf.d/steam.conf /usr/lib/mesa-diverted/i386-linux-gnu/ /lib32/ Не помогло.

В /etc/passwd isaq:x:1000:1000:isaq,,,:/home/isaq:/bin/bash - тут всё верно? Решения так и не нашел.

isaq ()
Ответ на: комментарий от isaq

Починил:

$ rm -rf ~/.steam
# apt-get install -reinstall libc6-* libgl1-nvidia-glx:i386

isaq ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.